Bug 1313492 - Extend Satellite 5.7 migration scenarios
Extend Satellite 5.7 migration scenarios
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation (Show other bugs)
570
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Macpherson
Ales Dujicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 12:13 EST by Jan Dobes
Modified: 2017-06-04 23:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-04 23:33:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Dobes 2016-03-01 12:13:23 EST
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html/Installation_Guide/sect-Migrating_the_Database.html

Section Number and Name: 
12.8. Migrating the Database

Describe the issue:
Documentation is covering some scenarios but some possible combinations are missing.

For example there is:
12.8.6. Migrating from an External Oracle Database to an Embedded Database

and

12.8.2. Migrating from an Embedded Database to an External PostgreSQL Database

but there is not:

Migrating from an External Oracle Database to an External PostgreSQL Database

According to documentation customer has to do it like:
External Oracle Database -> Embedded Database -> External PostgreSQL Database

The second step should be skipped.

Suggestions for improvement: 
Add migration scenarios for possible shortcuts as described above.
Comment 1 Tomas Lestach 2016-03-02 02:08:31 EST
So, according to https://bugzilla.redhat.com/show_bug.cgi?id=1311787#c5 the
External Oracle Database to External PostgreSQL Database migration steps are:


You can follow https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html/Installation_Guide/sect-Migrating_from_an_External_Oracle_Database_to_an_Embedded_Database.html guide with following differences:

1. In step 8 do not install embedded database specific spacewalk-setup-postgresql and spacewalk-dobby packages.
2. In step 9 run spacewalk-setup with extra '--external-postgresql' parameter and enter correct values to connect your PostgreSQL database.
  # spacewalk-setup --db-only --external-postgresql
Comment 6 Andrew Dahms 2017-06-04 23:33:21 EDT
This content is available on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.